Quick jump to issue only if searching for issues

2017-06-06 15:31 - Holger Just

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Description

Previously, we would always jump to the issue if a user searches for a, number which exists as an issue ID, regardless where the

user searches. That made it impossible to search for e.g. prefixes of phone numbers in wiki pages.

With the attached patch, we are only jumping to the matching issue if we are searching for issues. This results in a behavior change

for the quick search box in the the wiki and other areas. Previously, we would also jump to an issue there. Now, we just search in the

wiki for the number.

The quick search bar in issues as well as the global search for all objects is unaffected by this change.

History

#1 - 2017-06-12 11:31 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2017-06-25 17:03 - Jean-Philippe Lang

I don't know, I like to be able to quick jump to an issue wherever I am.

What about enabling quick jumping to an issue when using the quick search field only?

BTW, you can still search for a number (without quick jummping to the issue) by double-quoting your search term.

#3 - 2021-06-03 00:12 - Lorenzo Meneghetti

Jean-Philippe Lang wrote:

I don't know, I like to be able to quick jump to an issue wherever I am.

What about enabling quick jumping to an issue when using the quick search field only?

BTW, you can still search for a number (without quick jummping to the issue) by double-quoting your search term.

 I would prefer quick search for issues from anywhere (as is today) just prefixing "#" to the issue number.

What about?

Thanks

#4 - 2024-01-24 09:15 - C S

Lorenzo Meneghetti wrote in #note-3:

Jean-Philippe Lang wrote:

I don't know, I like to be able to quick jump to an issue wherever I am.

What about enabling quick jumping to an issue when using the quick search field only?

BTW, you can still search for a number (without quick jummping to the issue) by double-quoting your search term.

 I would prefer quick search for issues from anywhere (as is today) just prefixing "#" to the issue number.

What about?

Thanks

 Hmm... I currently always reliably jump to a ticket when I enter its number in the quick search and confirm with "Enter".

If I start with # and then enter a term from the title of a ticket, suggestions with matching tickets automatically appear...

For me, everything works perfectly as it is right now. (5.0.7)
